%def_enable     minimal
%def_enable     debug

Name:		reiser4progs
Version:	1.0.4
Release:	alt1

Summary:        Utilities for reiser4 filesystems
License:	GPL
Group:		System/Kernel and hardware
Requires:	libaal = %version-%release

URL:		ftp://ftp.namesys.com/pub/reiser4progs/
Source0:	%name-%version.tar.gz
Packager:	Sergey Ivanov <seriv@altlinux.ru>

# Automatically added by buildreq on Fri Nov 19 2004
BuildRequires: gcc-c++ libaal-devel libaal-minimal-devel libe2fs-devel libstdc++-devel

%description
Utilities for manipulating reiser4 filesystems.

%package -n reiser4progs-devel
Summary:        Development libraries and headers for developing reiser4 tools.
Group:		Development/C
Requires:	reiser4progs = %version-%release

%description -n reiser4progs-devel
Development libraries and headers for developing reiser4 tools.

%package -n reiser4progs-minimal
Summary:        Minimal utilities for reiser4 filesystem
Group:		System/Kernel and hardware
Requires:	libaal-minimal = %version-%release reiser4progs = %version-%release

%description -n reiser4progs-minimal
Development libraries and headers for developing minimal reiser4 tools.

%package -n reiser4progs-minimal-devel
Summary:        Development libraries and headers for developing minimal reiser4 tools.
Group:		Development/C
Requires:	reiser4progs-minimal = %version-%release libaal-minimal-devel = %version-%release  reiser4progs-devel = %version-%release

%description -n reiser4progs-minimal-devel
Development libraries and headers for developing minimal reiser4 tools.


%prep
%setup -q -n %name-%version

%build
export FFLAGS=-fPIC
%configure --without-readline\
%if_enabled minimal
        --enable-libminimal \
        --disable-plugins-check \
        --disable-fnv1-hash \
        --disable-rupasov-hash \
        --disable-tea-hash \
        --disable-deg-hash \
%endif
%if_enabled debug
        --enable-debug
%else
        --disable-debug
%endif
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT/{lib,sbin}
%make DESTDIR=%buildroot install
# Relocate shared libraries from %_libdir/ to /lib/.
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
        v="$RPM_BUILD_ROOT%_libdir/$(readlink -n "$f")"
        t=`objdump -p "$v" |awk '/SONAME/ {print $2}'`
        [ -n "$t" ]
        %__ln_s -nf ../../lib/"$t" "$f"
done
mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
mv $RPM_BUILD_ROOT%_sbindir/*reiser4 $RPM_BUILD_ROOT/sbin/
%__mkdir_p $RPM_BUILD_ROOT%_datadir/aclocal
# Get rid of duplicate files.
%__ln_s -nf make_reiser4 $RPM_BUILD_ROOT/sbin/mkfs.reiser4


%files
/lib/libreiser4-1.0.so.*
/lib/librepair-1.0.so.*
/sbin/debugfs.reiser4
/sbin/fsck.reiser4
/sbin/make_reiser4
/sbin/measurefs.reiser4
/sbin/mkfs.reiser4
%_man8dir/*.gz

%files -n reiser4progs-devel
%dir %_includedir/aux
%_includedir/aux/*.h
%dir %_includedir/reiser4
%_includedir/reiser4/*.h
%dir %_includedir/repair
%_includedir/repair/*.h
%dir %_datadir/aclocal
%_datadir/aclocal/libreiser4.m4
%_libdir/libreiser4.so
%_libdir/librepair.so
%_libdir/libreiser4*.a
%_libdir/librepair*.a


%if_enabled minimal
%files -n reiser4progs-minimal
/lib/libreiser4-minimal-1.0.so.*
%files -n reiser4progs-minimal-devel
%_libdir/libreiser4-minimal.*a
%_libdir/libreiser4-minimal.so
%endif

%changelog
* Mon Feb 21 2005 Sergey Ivanov <seriv@altlinux.ru> 1.0.4-alt1
- new version from namesys with the following changes:
- A bugfix in file body convertion code.
- Enable libminimal by default.
- Do not configure empty utils(resizer, cpfs).
- Some bug fixes in tree balancing, fs check, syncing code.

* Sat Dec 11 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.3-alt1
- new version from namesys.com, includes:
- a lot of bug fixes,
- correct handling of super block backups,
- recovery according to the super block backups,
- demos/busy is a reiser4progs-busy-box program that is able
  to create/remove/copy/read/ls/etc on reiser4 working through
  libreiser4, without kernel reiser4 support. This feature is not 
  yet packed, if you need it, rpm -bc, please.

It happened that the previous super block backups were created
with a mistake and to resync them now you need to run
        fsck.reiser4 --build-sb <device>


* Wed Nov 17 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt2
- Fix [#5223] (*progs are installed into /usr/..., should into /sbin);
  *-minimal files moved to separate package, removed false g77 dependency.


* Tue Oct 26 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.2-alt1
- update to 1.0.2; descriptions, files, options taken from source's *.tar.gz

* Wed Aug 25 2004 Sergey Ivanov <seriv@altlinux.ru> 1.0.0-alt1
- initial build
